/* DROP TABLE IF EXISTS staging.pov_lp_digitaltr_group;


CREATE DIMENSION TABLE staging.pov_lp_digitaltr_group
(
   domain_type character varying(20),
   event1 character varying(100),
   event2 character varying(200),
   count numeric(10,0),
   Urun character varying(50),
   KISA_AD character varying(50),
   KISA_AD_ING character varying(50),
   event_id numeric(8,0)
)
DISTRIBUTE BY REPLICATION
STORAGE ROW;
*/


-- pov'de ad event1, ack event2 , ad_kanal da event3 olarak alinmisti.
-- ad ve ack yi gizem grupladi o gruplamayi direkt evnet1 olarak alip kanal bilgisini kanal alaninda tutuyoruz

--irt_bas_tar ve irt_bit_tar login bas ve bitis zamanlari; tar alani da o islemi yaptigi tam zaman

/* BU CALISIYOR */
insert into goker.event_list
select 
--distinct
a.cmusno,
c.event_id,
a.tar as event_date,
'DIGITAL_INTERACTION',
c.kisa_ad_ing event1,
'' as event2,
'' as event3,
B.Chn_name
from 
goker.pov_event_irt_join_irt_isl A
left join staging.pov_lp_channel  B
on A.kanalno=b.id
left join staging.pov_lp_digitaltr_group C
on a.ad=c.event1 and
	a.ack=c.event2
left join staging.pov_control_path control_tab
ON 1=1
where a.tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE);

--STATEMENT 1: Insert Statement completed. 366649924 rows processed. 


--delete from goker.event_list where DOMAIN_TYPE='DIGITAL_INTERACTION';

/*
select event_id, domain_type, EVENT1, EVENT2, EVENT3, count(cmusno)
from goker.event_list
where domain_type='DIGITAL_INTERACTION' 
group by event_id, domain_type, EVENT1, EVENT2, EVENT3;

select EVENT1, EVENT2,  count(cust_id)
from staging.pov_view_path_events_balanced_new_wt_kkb2
where domain_type='DIGITAL INTERACTION'
group by EVENT1, EVENT2;
*/




/* BU CALISIYOR */
--select min(event_date), max(event_date)
--from goker.event_list
--where domain_type='DIGITAL_INTERACTION';






/* irtibatno bazinda distinct degil 
select count(irtibatno), count(distinct irtibatno)
from staging.pov_event_irt_join_irt_isl;
*/

/* irtibatno ve tar bazinda da dist diil cunku ayni irtibatno'da ayni tarihli farkli eventler var
select * from 
(select tar,irtibatno,count(irtibatno) as irtibatno_count, count(distinct irtibatno) as irtibatno_countdist
from staging.pov_event_irt_join_irt_isl
group by tar, irtibatno) drv
where drv.irtibatno_count >1;
*/

/*select * from staging.pov_event_irt_join_irt_isl 
where irtibatno= '20151001000308389055'
order by tar;
*/
