

-- gorusme_tar -> event tar olarak alinacak
-- banka_skoru kullanilacak
-- 2 event : 6 ve daha dusuk low_nps_skor
--  7 ve 8 neutral_nps_skor
-- 9,10 promoter_nps_skor

--*banka skoru 
--select b.cevap_tar, a.* from dwf_dig_nps_anket a, ank_cev b where a.cmusno = b.cmusno 
--and a.gorusme_tar = trunc (b.cevap_tar)
--and b.anksoruno= 1512 -- banka skoru
--and a.banka_skoru = b.deger; 


--NPS EVENT
INSERT INTO onboarding.event_list
SELECT	cmusno 
		, CASE WHEN (BANKA_SKORU::int) = 11 THEN 16001
			   		WHEN (BANKA_SKORU::int) <= 6 THEN 16002
			   		WHEN (BANKA_SKORU::int) > 6 AND (BANKA_SKORU::int) <= 8 THEN 16003
			   		WHEN (BANKA_SKORU::int) > 8 AND (BANKA_SKORU::int) <= 10 THEN 16004	   		
			   END AS event_id
		,cevap_tar as EVENT_DATE
		,'NPS' AS DOMAIN_TYPE
		,'NPS' as EVENT1
		,nps_skor_fmt as EVENT2
		--,SKOR_NEDEN as EVENT3 cok kirilim olmasin diye event1 den sonra kirmadim
		, '' as event3
		,'CallCenter' as CHN_NAME
		FROM
(
SELECT a.CMUSNO,	   
	   SKOR_NEDEN,
	   BANKA_SKORU,
	   CASE WHEN (BANKA_SKORU::int) = 11 THEN 'NoResp'
	   		WHEN (BANKA_SKORU::int) <= 6 THEN 'Low'
	   		WHEN (BANKA_SKORU::int) > 6 AND (BANKA_SKORU::int) <= 8 THEN 'Neutr'
	   		WHEN (BANKA_SKORU::int) > 8 AND (BANKA_SKORU::int) <= 10 THEN 'Promoter'	   		
	   END AS NPS_SKOR_FMT,
	   b.cevap_tar
FROM STAGING.POV_DWF_DIG_NPS_ANKET a
JOIN dw_out.ank_cev b 
on a.cmusno = b.cmusno 
and a.gorusme_tar::date = b.cevap_tar::date
and b.anksoruno= 1512 -- banka skoru
and a.banka_skoru = b.deger
JOIN onboarding.control_path control_tab
ON 1=1
where b.cevap_tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE)) drv
WHERE BANKA_SKORU IS NOT NULL;
--STATEMENT 1: Insert Statement completed. 170566  rows processed. 


--*portfoy skoru 
--select b.cevap_tar, a.* from dwf_dig_nps_anket a, ank_cev b where a.cmusno = b.cmusno 
--and a.gorusme_tar = trunc (b.cevap_tar)
--and b.anksoruno= 1514 -- temsilci skoru
--and a.temsilci_skor = b.deger ;

-- Portfolio Score
INSERT INTO onboarding.event_list
SELECT	cmusno 
		, CASE WHEN (temsilci_skor::int) = 11 THEN 16005
			   		WHEN (temsilci_skor::int) <= 6 THEN 16006
			   		WHEN (temsilci_skor::int) > 6 AND (temsilci_skor::int) <= 8 THEN 16007
			   		WHEN (temsilci_skor::int) > 8 AND (temsilci_skor::int) <= 10 THEN 16008	   		
			   END AS event_id
		,cevap_tar as EVENT_DATE
		,'NPS' AS DOMAIN_TYPE
		,'PortfolioScr' as EVENT1
		,PORTFOLIO_SKOR_FMT as EVENT2
		--,SKOR_NEDEN as EVENT3 cok kirilim olmasin diye event1 den sonra kirmadim
		, '' as event3
		,'CallCenter' as CHN_NAME
		FROM
(
SELECT a.CMUSNO,	   
	   SKOR_NEDEN,
	   temsilci_skor,
	   CASE WHEN (temsilci_skor::int) = 11 THEN 'NoResp'
	   		WHEN (temsilci_skor::int) <= 6 THEN 'Low'
	   		WHEN (temsilci_skor::int) > 6 AND (temsilci_skor::int) <= 8 THEN 'Neutr'
	   		WHEN (temsilci_skor::int) > 8 AND (temsilci_skor::int) <= 10 THEN 'Promoter'	   		
	   END AS PORTFOLIO_SKOR_FMT,
	   b.cevap_tar
FROM STAGING.POV_DWF_DIG_NPS_ANKET a
JOIN dw_out.ank_cev b 
on a.cmusno = b.cmusno 
and a.gorusme_tar::date = b.cevap_tar::date
and b.anksoruno= 1514 -- temsilci skoru
and a.banka_skoru = b.deger
JOIN onboarding.control_path control_tab
ON 1=1
where b.cevap_tar BETWEEN CAST(control_tab.start_date as DATE) AND CAST(control_tab.end_date as DATE)) drv
WHERE temsilci_skor IS NOT NULL;
--STATEMENT 1: Insert Statement completed. 57656  rows processed. 



--delete from onboarding.event_list where DOMAIN_TYPE='NPS';
/*
select min(event_date), max(event_date)
from onboarding.event_list
where domain_type='NPS';

select min(gorusme_tar), max(gorusme_tar)
from STAGING.POV_DWF_DIG_NPS_ANKET;
 */


/*
select event_id, domain_type, EVENT1, EVENT2, EVENT3, count(cmusno)
from onboarding.event_list
where domain_type='NPS' 
group by event_id, domain_type, EVENT1, EVENT2, EVENT3;

select EVENT1, EVENT2,  count(cust_id)
from staging.pov_view_path_events_balanced_new_wt_kkb2
where domain_type='NPS'
group by EVENT1, EVENT2;
*/
