insert into onboarding.event_list
select 
 A.cmusno,
 D.event_id,
 (a.istar||' '||(saat::time))::timestamp   as event_date,
 D.domain_type,
 case when ipt_drm is not  null THEN 'TrxTb_'||D.event1||'_'||ipt_drm  
 			else 'TrxTb_'||D.event1 end,
 D.event2,
 '',
 C.Chn_type
 from 
 staging.pov_v_dwf_islem A,
 staging.pov_lp_dwr_islem_agac B,
 staging.pov_lp_channel  C,
 staging.pov_lp_islem_map_final D
 JOIN
	onboarding.control_path control_tab 
	ON 1=1
 where 
 A.islemturno=B.islemturno  
 and A.menusatno=B.menusatno 
 and A.d_kanalno=C.id 
 and D.ust_grp1 = B.ust_grp1  
 and D.ust_grp3 = B.ust_grp3  
 and D.ust_grp2 = B.ust_grp2 
 AND D.ust_grp4 = B.ust_grp4 
 and D.import='Y'
 and (a.istar||' '||(saat::time))::timestamp  BETWEEN control_tab.start_date AND control_tab.end_date
 and A.AMIR_ISLEM_EH='E'
 ;
 
--STATEMENT 1: Insert Statement completed. 150275563  rows processed. 
 
/*
select event_id, domain_type, EVENT1, EVENT2, EVENT3, count(cmusno)
from onboarding.event_list
where event1 like 'TrxTb_%' 
group by event_id, domain_type, EVENT1, EVENT2, EVENT3;
*/
 
/*DELETE FROM onboarding.event_list where event1 like 'TrxTb_%' ; */
