--==============================================================================
--Debit Card Open/Close
--Start and End date is being used from onboarding.control_path control table.
--==============================================================================


--Debit Card Open Primary/Sup. Debit Card Open Platinum/Other. Logic updated 27-Nov to exclude virtual cards as remove repatitions
INSERT INTO onboarding.event_list
select drv2.cmusno
--,case when event2='SUP-PLT' then 11028
--      when event2='PRM-PLT' then 11029
--	  when event2='OTHR-PLT' then 11030
--      when event2='SUP-OTHR' then 11031
--      when event2='PRM-OTHR' then 11032
--      when event2='OTHR-OTHR' then 11033
--      when event2='SUP-BUSS' then 11085
--      when event2='PRM-BUSS' then 11086
--      when event2='OTHR-BUSS' then 11087
--      when event2='SUP-CTEB' then 11088
--      when event2='PRM-CTEB' then 11089
--      when event2='OTHR-CTEB' then 11090 
--end 
,null as event_id
,drv2.event_date
,drv2.domain_type
,drv2.event1
,drv2.event2
,drv2.event3
,drv2.chn_name
from
(SELECT valid_cards_only."d_cmusno" as CMUSNO
		, kart_mus_ulas_tar as EVENT_DATE
		,'DEBIT_CARD' as DOMAIN_TYPE
		, 'DCOpen' as EVENT1
		,'' as EVENT2
		,'' as EVENT3
		,chn.chn_name as chn_name			
FROM
(
	SELECT d_cmusno,kart_mus_ulas_tar/*KARTGIRISTARIH*/, kartno, KARTTURU, kanalno, bin, MAX(FLAG) valid_flag
	FROM
	(
	SELECT d_cmusno,kart_mus_ulas_tar/*KARTGIRISTARIH*/, kartno, KARTTURU, kanalno,  bin, CASE WHEN D_KREDIDEBIT='D' AND D_GECERLI_EH='E' AND KAYITGECERLI='Y' and kartstatusu = 'N'
			and kartbastarih IS NOT NULL and kartbastarih != '1900-01-01'	THEN 1 ELSE 0 END as FLAG
	FROM
	"dw_out"."dwd_kart" 
	WHERE	(productkodu not like '%-CARD%' or productkodu is null) and kart_mus_ulas_tar is not null
	) DRV
	GROUP BY 1,2,3,4,5,6
) valid_cards_only
JOIN onboarding.control_path control_tab 
ON 1=1 
and valid_flag=1
left join "staging"."pov_lp_channel" chn on cast(valid_cards_only.KANALNO as int)=chn.id
where kart_mus_ulas_tar BETWEEN control_tab.start_date AND control_tab.end_date
) drv2
where drv2.cmusno is not null
and drv2.cmusno != 0;
--STATEMENT 1: Insert Statement completed. 904415   rows processed. 
 

--Debit Card Close Platinum/Other. Logic updated 27-Nov to exclude virtual cards as remove repatitions
INSERT INTO onboarding.event_list
select drv2.cmusno
--,case when event2='SUP-PLT' then 11034
--      when event2='PRM-PLT' then 11035
--	  when event2='OTHR-PLT' then 11036
--      when event2='SUP-OTHR' then 11037
--      when event2='PRM-OTHR' then 11038
--      when event2='OTHR-OTHR' then 11039
--      when event2='SUP-BUSS' then 11091
--      when event2='PRM-BUSS' then 11092
--      when event2='OTHR-BUSS' then 11093
--      when event2='SUP-CTEB' then 11094
--      when event2='PRM-CTEB' then 11095
--      when event2='OTHR-CTEB' then 11096 
--end 
,null as event_id
,drv2.event_date
,drv2.domain_type
,drv2.event1
,drv2.event2
,drv2.event3
,drv2.chn_name
from
( SELECT card."d_cmusno" as CMUSNO
		, D_KARTKAPATARIH + interval '00:00:01' as EVENT_DATE
		,'DEBIT_CARD' as domain_type
		, 'DCClose' as EVENT1 
		,'' as EVENT2
		,'' as EVENT3
		,chn.chn_name as chn_name
FROM "dw_out"."dwd_kart" card
JOIN onboarding.control_path control_tab
ON 1=1
left join "staging"."pov_lp_channel" chn on cast(card.kanalno as int)=chn.id
where tarih_id=control_tab.snapshot_date AND --'2017-09-30 00:00:00' 
      D_KREDIDEBIT='D' AND (productkodu not like '%-CARD%' or productkodu is null) AND
      D_KARTKAPATARIH BETWEEN control_tab.start_date AND control_tab.end_date) drv2
      where drv2.CMUSNO is not null
      and drv2.cmusno != 0;
--STATEMENT 2: Insert Statement completed. 601999   rows processed.
 
/*
select event_id, domain_type, EVENT1, EVENT2, EVENT3, count(cmusno)
from onboarding.event_list
where domain_type='DEBIT_CARD' 
group by event_id, domain_type, EVENT1, EVENT2, EVENT3;

select  domain_type, EVENT1, EVENT2, EVENT3, count(cust_id)
from staging.path_events
where domain_type='CREDIT CARD'
group by  domain_type, EVENT1, EVENT2, EVENT3;
*/

--DELETE FROM onboarding.event_list WHERE DOMAIN_TYPE='DEBIT_CARD';

      
